<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_infos', function (Blueprint $table) {
            $table->string("know")->nullable()->comment("是否知悉")->after("nutrient")->change();
            $table->string("understand")->nullable()->comment("是否理解")->after("know")->change();
            $table->string("really")->nullable()->comment("是否真实")->after("understand")->change();
            $table->string("duty")->nullable()->comment("是否愿意承担责任")->after("really")->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_infos', function (Blueprint $table) {
            $table->dropColumn('know');
            $table->dropColumn('understand');
            $table->dropColumn('really');
            $table->dropColumn('duty');
        });
    }
};
